//
// Created by #Suyghur, on 2021/10/15.
//

#ifndef XINRUIGAMESDK_PARAMS_KIT_H
#define XINRUIGAMESDK_PARAMS_KIT_H

#include <string>
#include <jni.h>

#define CONFIG_FILE "YyrhParam.cnf"
#define GCP_CODE "GCP_CODE"
#define CHANNEL_TAG "CHANNELTAG"

#ifdef __cplusplus
extern "C" {
#endif

class ParamsKit {
public:
    static std::string GetGcpCode(JNIEnv *env, jobject context);

    static std::string GetChannelTag(JNIEnv *env, jobject context);

private:
    static std::string GetCnfValue(JNIEnv *env, jobject context, const std::string &key);
};

#ifdef __cplusplus
}
#endif

#endif //XINRUIGAMESDK_PARAMS_KIT_H
